10.04 Installer doesn't properly detect 9240 MegaRaid SAS Controlers

Bug #546091 reported by npavlica on 2010-03-24
158
This bug affects 23 people
Affects Status Importance Assigned to Milestone
hw-detect (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
linux (Ubuntu)
Medium
Andy Whitcroft
Lucid
Medium
Stefan Bader
Maverick
Undecided
Unassigned
linux-mvl-dove (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned

Bug Description

[Lucid] [LSI MegaRAID SAS Driver] Ubuntu 10.04/Lucid doesn't detect and load drivers for newer LSI MegaRaid SAS controllers like the 9240* and 9260* and 9280*
More information and drivers can be found here: http://www.lsi.com/channel/products/megaraid/sassata/9240-8i/index.html.

Jeremy Foshee (jeremyfoshee) wrote :

Hi npavlica,

This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux 546091

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-kernel-logs
tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Incomplete and has not had any updated comments for quite some time. As a result this bug is being closed. Please reopen if this is still an issue in the current Ubuntu release http://www.ubuntu.com/getubuntu/download . Also, please be sure to provide any requested information that may have been missing. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-expired
Changed in linux (Ubuntu):
status: Incomplete → Expired
Roberto Suarez (robe-allenta) wrote :

This happens to us as well. We're trying to install Lucid on an IBM x3550 M3, that comes with this RAID adapter. The installer doesn't detect any disks if they're configured in a RAID. This is a big problem for us, because we deal with a lot of IBM hardware, and they all seem to use this adapter. I.e., no Ubuntu on IBM systems with RAID adapters.

We've tested with CentOS 5.4 and it works flawlessly. It seems the version of the module in Lucid's kernel (00.00.04.01) is not so new as CentOS' (00.00.04.08-RH2). From the link provided by the OP you can download version 00.00.04.28. Alternative download link:

http://kb.lsi.com/Download15861.aspx

Is there any information we could provide to solve this issue?

Thanks in advance.

Changed in linux (Ubuntu):
status: Expired → New
David Hull (david-hull) wrote :

This is also happening to me - same hardware from IBM (x3550 M3) using the M1015 SAS controller. I am told that the driver is available in the 2.6.33 kernel. This is also a big deal as we use IBM heavily. The latest 10.04 LTS ISO does not resolve this issue.

Roberto Suarez (robe-allenta) wrote :

We've got a workaround for this, though it's hard work and is not viable as an alternative. It's just for urgent installations (as was ours). I put it here just in case someone else wants to do as we did.

We downloaded the Live CD of Maverick Meerkat and used that to boot. The kernel in Maverick (2.6.34-something) detects correctly the disks. We launched a terminal and partitioned our target system, mounting the target installation under /mnt/target. Then we debootstrapped Lucid into it, like this:

debootstrap lucid /mnt/target

(a local mirror or proxy helps a lot, especially if you're making several installations)

Then we chrooted into /mnt/target (mounting previously /dev and /proc) and did this:

apt-get install python-software-properties
add-apt-repository ppa:kernel-ppa
apt-get update
apt-get install linux-image-2.6.34-5-server

(there's a linux-image-2.6.35-something available, but we used 2.6.34 because it's supposed to be the stable release)

This also pulled and installed grub, but YMMV. We also installed lvm2 because that's what we used for the system, but depends on your setup. Note that we didn't use any Maverick packages: the kernel-ppa repository has kernels for Lucid, even if newer than the ones in the release.

After that, we changed the chroot's root password (or you'll have a nice bootable system that you can't log into :-)) and rebooted. The system booted with Lucid and kernel 2.6.34, detecting the RAID perfectly.

Francois (xbgmsharp) wrote :

Hello

x3550 M3 and x3650 M3 are affected by this problem.
As mention before Ubuntu 10.04 include the megaraid_sas driver version 00.00.04.01
# modinfo megaraid_sas
filename: /lib/modules/2.6.32-21-generic/kernel/drivers/scsi/megaraid/megaraid_sas.ko
description: LSI MegaRAID SAS Driver
author: <email address hidden>
version: 00.00.04.01

RHEL5.5 use the megaraid_sas driver version 00.00.04.17

ServeRAID-M1015 SAS/SATA and ServeRAID-M5014 SAS/SATA are affected both are provide on x3550 M3 and x3650 M3.
We use IBM heavily.

Thanks,
Francois

Francois (xbgmsharp) on 2010-07-06
description: updated

AlsaDevices: Error: command ['ls', '-l', '/dev/snd/'] failed with exit code 2: ls: cannot access /dev/snd/: No such file or directory
AplayDevices: aplay: device_list:223: no soundcards found...
Architecture: amd64
ArecordDevices: arecord: device_list:223: no soundcards found...
DistroRelease: Ubuntu 10.04
LiveMediaBuild: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
MachineType: IBM System x3550 M3 -[7944D2G]-
Package: linux (not installed)
PciMultimedia:

ProcCmdLine: BOOT_IMAGE=/casper/vmlinuz file=/cdrom/preseed/hostname.seed boot=casper initrd=/casper/initrd.lz quiet splash -- maybe-ubiquity
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Regression: No
Reproducible: Yes
Tags: lucid kconfig needs-upstream-testing
Uname: Linux 2.6.32-21-generic x86_64
UserGroups:

dmi.bios.date: 03/01/2010
dmi.bios.vendor: IBM Corp.
dmi.bios.version: -[D6E145CUS-1.06]-
dmi.board.asset.tag: (none)
dmi.board.name: 69Y4438
dmi.board.vendor: IBM
dmi.board.version: (none)
dmi.chassis.asset.tag: none
dmi.chassis.type: 23
dmi.chassis.vendor: IBM
dmi.chassis.version: none
dmi.modalias: dmi:bvnIBMCorp.:bvr-[D6E145CUS-1.06]-:bd03/01/2010:svnIBM:pnSystemx3550M3-[7944D2G]-:pvr00:rvnIBM:rn69Y4438:rvr(none):cvnIBM:ct23:cvrnone:
dmi.product.name: System x3550 M3 -[7944D2G]-
dmi.product.version: 00
dmi.sys.vendor: IBM

tags: added: apport-collected

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Francois (xbgmsharp) on 2010-07-08
tags: removed: needs-kernel-logs
Francois (xbgmsharp) wrote :

Alternate install CD works.
http://cdimage.ubuntu.com/daily/current/

The kernel is 2.6.35
The disk are detected.

Francois (xbgmsharp) on 2010-07-12
description: updated

There is drivers for 9.10 on the LSI homepage. One can use there instructions for installation and upgrade to Lucid from there (with custom kernel)

Sam Chow (samchow) wrote :

10.10 alpha 3 also can detected the disk

John Morrissey (jwm) wrote :

The megaraid_sas driver in the current linux-2.6 (stable) git tree has support for this adapter, the LSI SAS2 "SKINNY." I've cherrypicked the updated driver into the latest Lucid kernel and uploaded to this PPA:

https://launchpad.net/~jwm/+archive/lp546091

(Note that the built kernel is based on the next Lucid kernel update, 2.6.32-24.42. Currently, the only difference between .42 and .41 are some fixes in the i915 graphics driver.)

I'll try to keep the PPA kernel up-to-date, but I can't make any guarantees.

Also, I'm netbooting to install, so I'm adding the newer scsi-modules udeb to the initrd like so:

[jwm@boost:pts/1 ~> wget -q http://us.archive.ubuntu.com/ubuntu/dists/lucid-updates/main/installer-amd64/current/images/netboot/ubuntu-installer/amd64/initrd.gz
[jwm@boost:pts/1 ~> wget -q http://ppa.launchpad.net/jwm/lp546091/ubuntu/pool/main/l/linux/scsi-modules-2.6.32-24-generic-di_2.6.32-24.42+lp546091_amd64.udeb
[jwm@boost:pts/1 ~> mkdir lucid-initrd
[jwm@boost:pts/1 ~> cd lucid-initrd/
[jwm@boost:pts/1 ~/lucid-initrd> gzip -dc ../initrd.gz | sudo cpio -i --make-directories
51151 blocks
[jwm@boost:pts/1 ~/lucid-initrd> sudo mv ../scsi-modules-2.6.32-24-generic-di_2.6.32-24.42+lp546091_amd64.udeb .
[jwm@boost:pts/1 ~/lucid-initrd> sudo chroot . udpkg -i scsi-modules-2.6.32-24-generic-di_2.6.32-24.42+lp546091_amd64.udeb
(Reading database...)
(Updating database...)
[jwm@boost:pts/1 ~/lucid-initrd> sudo rm scsi-modules-2.6.32-24-generic-di_2.6.32-24.42+lp546091_amd64.udeb
[jwm@boost:pts/1 ~/lucid-initrd> sudo find . | sudo cpio -H newc -o | gzip >../initrd.gz-new
63149 blocks

Steve Conklin (sconklin) wrote :

John,

which upstream commit(s) did you cherry pick? Do you have a public git tree with these visible?

Thanks!

Ich bin bis 20.09.2010 abwesend

Ich bin z.Z. nicht im Haus und werde Ihre Nachricht nach meiner Rückkehr
beantworten. In besonderen Fällen senden Sie bitte eine Nachricht an
<email address hidden> oder <email address hidden>.

Hinweis: Dies ist eine automatische Antwort auf Ihre Nachricht "[Bug
546091
] Re: 10.04 Installer doesn't properly detect 9240 MegaRaid SAS
Controlers" gesendet am 17.9.10 21:45:02.

Diese ist die einzige Benachrichtigung, die Sie empfangen werden, während
diese Person abwesend ist.

On Fri, Sep 17, 2010 at 07:45:02PM -0000, Steve Conklin wrote:
> which upstream commit(s) did you cherry pick? Do you have a public git
> tree with these visible?

I cherry picked to bring megaraid_sas up to 00.00.04.17.1-rc1; the commit
list is below.

I had an IBM x3550 on eval that I wanted to get up quickly, so not all of
them are necessary. The big one is 879111224d0784eab623fe8130a1f4481e0e1966,
which adds support for the SAS2. I'm not familiar with the SRU requirements,
but you could get more selective pretty easily if you have to.

I don't have an easy way of making the git repo public right now, but if
it's helpful, I can make that happen, just let me know.

john

63bad45db1d4e8aafe0633c5741c9720641f336a
c978684254d11e3768c5a0b2780302fb0cada29c
bdc6fb8d69fab7b4b7f70823e3932bd8e4cfd7db
780a3762fb9208748baac5aa9c63a4d4c9287753
aeab3fd7b865bc4086a80a83cfdd67dded3b41a0
a0b7736828f7615823a7dec680632656d9a9edde
7218df69e3609d1fcf4d83cf8f3fc89dbfbf82a8
0c79e681eef10810a5ed41a2eb1dce244ab1c37d
f4c9a1317d32bb0af7546ef0c1dcc3be52dc8d0a
7bebf5c79cb62766c76c6c1b9c77b86496fd363e
044833b572b96afe91506a0edec42efd84ba4939
81e403ce3c6a34cd705bf54d4cdeefdeb7068a8d
879111224d0784eab623fe8130a1f4481e0e1966
72c4fd36dc7f755a5245ef2495fe27d5084d776d
c35188377f12e5e0a74f18c3dfdd67baf88db514
8d56825321339f0ef7ad08eb58332e1836881e3b

--
John Morrissey _o /\ ---- __o
<email address hidden> _-< \_ / \ ---- < \,
www.horde.net/ __(_)/_(_)________/ \_______(_) /_(_)__

John Morrissey (jwm) wrote :

I can confirm that 879111224d0784eab623fe8130a1f4481e0e1966 and 7bebf5c79cb62766c76c6c1b9c77b86496fd363e (from stable/linux-2.6.32.y.git) are enough to add the necessary support for the SAS2.

I pushed my local git repo to http://github.com/jwm/ubuntu-lucid/ if it's useful.

John Morrissey (jwm) wrote :

If anyone else is using the PPA for this bug, I've had to move to:

https://launchpad.net/~jwm/+archive/lp546091-lucid-stable

since USN-988-1 inserted a package version before the current (unreleased) 2.6.32-25.44 that I had in the PPA. It was just easier/better to switch to a new PPA and track only released kernel packaging.

Brad Figg (brad-figg) on 2010-09-22
Changed in linux (Ubuntu):
assignee: nobody → Brad Figg (brad-figg)
status: New → Triaged
status: Triaged → In Progress
Brad Figg (brad-figg) wrote :

I've applied the commits indicated in comment #24 above to a copy of the current Lucid repo. The binaries of that build are available at: http://kernel.ubuntu.com/~bradf/lp546091/ . If you'd be so kind as to test one of the kernels there and confirm that it resolves this issue I'll work on the SRU to get this into Lucid.

Thanks

John Morrissey (jwm) wrote :

Looks good to me. Thanks, Brad.

[<email address hidden>:pts/0 ~> uname -a
Linux virt11.roch.ny.frontiernet.net 2.6.32-26-server #45 SMP Wed Sep 22 21:18:52 UTC 2010 x86_64 GNU/Linux
[<email address hidden>:pts/0 ~> lspci | grep -i lsi
01:00.0 RAID bus controller: LSI Logic / Symbios Logic LSI MegaSAS 9260 (rev 03)

Brad Figg (brad-figg) wrote :

SRU Justification

Impact: The upstream process for stable tree updates is quite similar in scope to the Ubuntu SRU process, e.g., each patch has to demonstrably fix a bug, and each patch is vetted by upstream by originating either directly from Linus' tree or in a minimally backported form of that patch.

The 2.6.33.y upstream stable tree contains two commits which enable the megaraid_sas driver to recognise the new models of MegaRaid SAS controllers at issue in this bug report.

TEST CASE:
Two commits from the 2.6.33.y tree were applied to a Lucid test build and tested by at least one subscriber to this bug who verified it resolved the issue for them.

Brad Figg (brad-figg) wrote :

The SRU request has been made to the kernel team mailing list.

Brad Figg (brad-figg) wrote :

SRU Justification Addenndum:

Though the two commits applied to resolve this issue did come from the 2.6.33.y tree, they were not a result of a stable upstream submission but as part of the 2.6.33-rc1 patches that were applied during 2.6.33 development.

Francois (xbgmsharp) wrote :

Does that mean the fix will be include in Ubuntu 10.04.2 LTS release?

Ich bin bis 05.10.2010 abwesend

Ich bin z.Z. nicht im Haus und werde Ihre Nachricht nach meiner Rückkehr
beantworten. In besonderen Fällen senden Sie bitte eine Nachricht an
<email address hidden> oder <email address hidden>.

Hinweis: Dies ist eine automatische Antwort auf Ihre Nachricht "[Bug
546091
] Re: 10.04 Installer doesn't properly detect 9240 MegaRaid SAS
Controlers" gesendet am 1.10.10 15:28:23.

Diese ist die einzige Benachrichtigung, die Sie empfangen werden, während
diese Person abwesend ist.

This bug prevents lots of people installing 10.04 and testing. I got two servers running 9.10 that could be used for testing the kernels provided by Brad Figg. The problem is that I don't have a clue on how to upgrade my server to 10.04 with a custom kernel package.

If somebody more skilled in internals of "do-release-upgrade" process could give some hints, then I will upgrade and stress test the new kernels.

.staffan

And a question - is there an planned release date of a new kernel with this bug corrected?

alecm3 (alecm-chatango) wrote :

Can you post instructions on how to use patches from this bug? We have IBM x3550 M3, but I do not know how to use these patches. 10.04.2 LTS is only on Jan 27, we cannot wait that long- we will have to install SuSE on production machines instead.

Accepted linux into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in linux (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
Adi Roiban (adiroiban) wrote :

Is there a LiveCD image using the kernel from the proposed repository ?

It looks like the lates Lucid cdimage was generated on 18. 08. 2010: http://cdimage.ubuntu.com/lucid/daily-live/current/

Otherwise is a bit hard to test the proposed repository, since the system can not be installed in the first place.

Thanks!

John Morrissey (jwm) wrote :

Looks good to me.

[<email address hidden>:pts/0 ~> lspci | grep -i lsi
01:00.0 RAID bus controller: LSI Logic / Symbios Logic LSI MegaSAS 9260 (rev 03)
[<email address hidden>:pts/0 ~> uname -a
Linux virt11.roch.ny.frontiernet.net 2.6.32-26-server #46-Ubuntu SMP Tue Oct 26 18:03:15 UTC 2010 x86_64 GNU/Linux
[<email address hidden>:pts/0 ~> dpkg -l | fgrep linux-image-2.6.32-26-server
ii linux-image-2.6.32-26-server 2.6.32-26.46 Linux kernel image for version 2.6.32 on x86

John Morrissey [2010-11-02 17:44 -0000]:
> Looks good to me.
>
> [<email address hidden>:pts/0 ~> lspci | grep -i lsi
> 01:00.0 RAID bus controller: LSI Logic / Symbios Logic LSI MegaSAS 9260 (rev 03)

Does the controller actually work? lspci says nothing about whether
there's a driver for it.

Martin
--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

John Morrissey (jwm) wrote :

On Tue, Nov 02, 2010 at 09:20:55PM -0000, Martin Pitt wrote:
> Does the controller actually work? lspci says nothing about whether
> there's a driver for it.

It's the only thing in the system with storage attached to it, so by virtue
of booting... :-)

john
--
John Morrissey _o /\ ---- __o
<email address hidden> _-< \_ / \ ---- < \,
www.horde.net/ __(_)/_(_)________/ \_______(_) /_(_)__

Martin Pitt (pitti) on 2010-11-04
tags: added: verification-done
removed: verification-needed

Ich bin bis 22.11.2010 abwesend

Ich bin z.Z. nicht im Haus und werde Ihre Nachricht nach meiner Rückkehr
beantworten. In besonderen Fällen senden Sie bitte eine Nachricht an
<email address hidden> oder <email address hidden>.

Hinweis: Dies ist eine automatische Antwort auf Ihre Nachricht "[Bug
546091
] Re: 10.04 Installer doesn't properly detect 9240 MegaRaid SAS
Controlers" gesendet am 19.11.10 19:21:34.

Diese ist die einzige Benachrichtigung, die Sie empfangen werden, während
diese Person abwesend ist.

Launchpad Janitor (janitor) wrote :
Download full text (18.8 KiB)

This bug was fixed in the package linux - 2.6.32-26.47

---------------
linux (2.6.32-26.47) lucid-proposed; urgency=low

  [ Steve Conklin ]

  * Revert "SAUCE: ALSA: HDA: Enable internal mic on Dell E6410 and Dell
    E6510"
  * Revert "[Config] Added be2net, be2scsi to udebs"

  [ Upstream Kernel Changes ]

  * Revert "(ore-stable) ALSA: hda - Apply ALC269 VAIO fix-up to all Sony
    laptops with ALC269"
  * Revert "(pre-stable) ALSA: HDA: Correctly apply position_fix quirks for
    ATI and VIA controllers"
  * Revert "ALSA: hda: Use LPIB for another mainboard"
  * Revert "ALSA: hda: Use LPIB for ASUS M2V"
  * Revert "ALSA: hda: Use LPIB for an ASUS device"
  * Buglink Fixup for reverted unverified fixes

linux (2.6.32-26.46) lucid-proposed; urgency=low

  [ Brad Figg ]

  * SAUCE: ALSA: HDA: Enable internal mic on Dell E6410 and Dell E6510
    - See: #605047, #628961

  [ Tim Gardner ]

  * [Config] Added be2net, be2scsi to udebs
    - See: #628776

  [ Upstream Kernel Changes ]

  * Revert "(pre-stable) drm/i915: add PANEL_UNLOCK_REGS definition"
    - LP: #645444
  * Revert "(pre-stable) drm/i915: make sure we shut off the panel in eDP
    configs"
    - LP: #645444
  * Revert "(pre-stable) drm/i915: make sure eDP panel is turned on"
    - LP: #645444
  * Revert "(pre-stable) drm/radeon/kms: initialize set_surface_reg reg for
    rs600 asic"
    - LP: #645371
  * Revert "drm/nouveau: Fix fbcon corruption with font width not divisible
    by 8"
    - LP: #663176
  * mmc: fix all hangs related to mmc/sd card insert/removal during
    suspend/resume
    - LP: #477106
  * mmc: build fix: mmc_pm_notify is only available with CONFIG_PM=y
    - LP: #477106
  * hwmon: (k8temp) Differentiate between AM2 and ASB1
    - LP: #644694
  * xen: handle events as edge-triggered
    - LP: #644694
  * xen: use percpu interrupts for IPIs and VIRQs
    - LP: #644694
  * ALSA: hda - Rename iMic to Int Mic on Lenovo NB0763
    - LP: #605101, #644694
  * sata_mv: fix broken DSM/TRIM support (v2)
    - LP: #644694
  * x86, tsc, sched: Recompute cyc2ns_offset's during resume from sleep
    states
    - LP: #644694
  * PCI: MSI: Remove unsafe and unnecessary hardware access
    - LP: #644694
  * PCI: MSI: Restore read_msi_msg_desc(); add get_cached_msi_msg_desc()
    - LP: #644694
  * sched: kill migration thread in CPU_POST_DEAD instead of CPU_DEAD
    - LP: #644694
  * sched: revert stable c6fc81a sched: Fix a race between ttwu() and
    migrate_task()
    - LP: #644694
  * staging: hv: Fix missing functions for net_device_ops
    - LP: #644694
  * staging: hv: Fixed bounce kmap problem by using correct index
    - LP: #644694
  * staging: hv: Fixed the value of the 64bit-hole inside ring buffer
    - LP: #644694
  * staging: hv: Increased storvsc ringbuffer and max_io_requests
    - LP: #644694
  * staging: hv: Fixed lockup problem with bounce_buffer scatter list
    - LP: #644694
  * fuse: flush background queue on connection close
    - LP: #644694
  * ath9k_hw: fix parsing of HT40 5 GHz CTLs
    - LP: #644694
  * ocfs2: Fix incorrect checksum validation error
    - LP: #644694
  * USB: ehci-ppc-of: problems in unwind
    - LP: #644694
  * USB: Fix kernel oo...

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released
John Morrissey (jwm) wrote :

Removed my PPA (lp546091-lucid-stable) since packaging with this fix has been released.

John Miller (mrmiller) wrote :

I'm hitting exactly this same issue when trying to install 10.04.1 on a IBM x3550. It is really frustrating to have a brand-new server that we are supposed to move our stuff to, and then find out that I can't install Ubuntu on it. It looks like it will be at least a couple of months before 10.04.2 comes out and I'm not sure what I'm supposed to do at this point.

I tried to install 10.10 (Maverick) but it also didn't work. It didn't detect any disks and thought I was going to install on iSCSI, which I'm not.

Any ideas on how to get my server going, or do I need to wait a couple of months?

This server is certified by IBM to work with Ubuntu 10.04, which is why I bought it in the first place...

John Miller (mrmiller) wrote :

"Can you post instructions on how to use patches from this bug? We have IBM x3550 M3, but I do not know how to use these patches. 10.04.2 LTS is only on Jan 27, we cannot wait that long- we will have to install SuSE on production machines instead."

Ditto on that, and I really really don't want to install anything but Ubuntu. I know how to do everything I need to do on Ubuntu, I run it on my desktops, etc, and I really don't want to have yet another system to deal with, and if I put on servers, that means it will be there for YEARS, and I don't want that.

"Is there a LiveCD image using the kernel from the proposed repository ?

Otherwise is a bit hard to test the proposed repository, since the system can not be installed in the first place."

Ditto on that also. I see the daily builds but none of them are server images. Help! Can someone make up a 10.04 installer that all of us with these new IBMs can use?? Thank you.

mkovac (mkovac) wrote :

Why is the importance of this bug still "Undecided"? It is a definite showstopper for anybody who wants to have LTS on those IBM servers or in our case with Supemicro superservers (6016T-6RFT+)

When I try to load the megaraid_sas.ko module and all I get is:
megaraid_sas: Unknown symbol compat_alloc_user_space

The kernel the installer is using is the default: 2.6.32-24-generic x86_64

A few hints on install on x3550 m3

USB-stick install (10.10)
To enable the installer to detect the raid card go thru the installer until you are presented to install on the USB-stick you booted from. Remove the stick and press "Go back" in the installer. Now you have the option to load driver modules to the kernel.

There are daily IOS's for lucid at http://cdimage.ubuntu.com/ubuntu-server/lucid/daily/ Those ISO's should contain the drivers for x3550 m3

The ISO's are basically 10.4.2pre ISOs and should provide the needed support for x3550 m3,

Cheers mates!

John Miller (mrmiller) wrote :

"A few hints on install on x3550 m3

USB-stick install (10.10)
To enable the installer to detect the raid card go thru the installer until you are presented to install on the USB-stick you booted from. Remove the stick and press "Go back" in the installer. Now you have the option to load driver modules to the kernel."

I tried exactly that: install 10.10 with a USB stick (somehow it didn't work on the CD). No success on my M3.

"There are daily IOS's for lucid at http://cdimage.ubuntu.com/ubuntu-server/lucid/daily/ Those ISO's should contain the drivers for x3550 m3

The ISO's are basically 10.4.2pre ISOs and should provide the needed support for x3550 m3,"

I tried that also. The ISO from Nov. 24 (the latest one on there) didn't detect the disk. I guess there will be a new one there within a few days, and I'll try it also. If there is an ISO there that works I'll post on this bug.

"Why is the importance of this bug still "Undecided"? It is a definite showstopper for anybody who wants to have LTS on those IBM servers" Yeah, what he said. This is a killer bug. I have contacted my IBM sales rep and said that they need to get involved in fixing this bug and create a usable ISO, or else I need to return their hardware. This must be affecting everyone who isn't running RHEL, and RHEL for this server would run nearly $2,000, so there must be a lot of people who would like the option of Ubuntu on this thing.

Stefan Bader (smb) wrote :

Just asked for the install images to be rebuild with the latest kernel. I am not sure how long exactly this will take. But hopefully by tomorrow those should be ready.

Stefan Bader (smb) wrote :

Actually just was told that the iso files dated Nov-24 should contain then kernel 2.6.32-26.47. Can someone confirm whether this was the kernel version in the installer and that his did not work?

John Miller (mrmiller2) wrote :

Hello Stefan,

I just tried with the Nov 24 ISO image for amd64, and had the same situation: it doesn't detect the disk. This is on a IBM X3550 M3, which I believe uses Megaraid SAS, but it's some slightly different IBM configuration perhaps? Is there anything I can do to help you debug?

Thank you for looking into this.

slashdotfx (slashdotfx) wrote :

From the manufacturer website (LSI)
they provide the kernel modules and initrd image for us to try,
here are the links:

http://www.lsi.com/storage_home/products_home/internal_raid/megaraid_sas/entry_line/megaraid_sas_9240-8i/index.html

under the support and downloads tab,
I have try as per their instruction inside the tarball, and had a success detecting the harddisk.

hope this helps someone out there want to install ubuntu with this card.

Andy Whitcroft (apw) on 2010-12-17
Changed in linux (Ubuntu Lucid):
importance: Undecided → Medium
Changed in linux (Ubuntu):
importance: Undecided → Medium
Changed in linux (Ubuntu Lucid):
assignee: nobody → Brad Figg (brad-figg)
Andy Whitcroft (apw) wrote :

Confirmed that the two fixes applied to Lucid to support the cards in the title are also applied to Natty. This is therefore also Fix Released there.

@John Miller -- could you look at the your 'lspci -nnvv' output and confirm whether you have one of the newly added device ids which were handled under this bug fix: 0x1000, 0x0071 and 0x1000, 0x0073. If you have one of those ids then something is broken, if you have another id then could you file a new bug including the lspci -nnvv output. Either way please report back here on your testing and include any new bug number. Thanks!

Changed in linux (Ubuntu):
assignee: Brad Figg (brad-figg) → Andy Whitcroft (apw)
status: In Progress → Fix Released
John Miller (mrmiller2) wrote :

Hi Andy,

Thanks for looking into this. I have attached the full lspci dump you requested.

John Miller (mrmiller2) wrote :

Any update on this? What should I do with my brand-new never-used X3550 server sitting here? Wait for Centos 6?

Brad Figg (brad-figg) on 2011-01-20
Changed in linux (Ubuntu Lucid):
assignee: Brad Figg (brad-figg) → Stefan Bader (stefan-bader-canonical)
Stefan Bader (smb) wrote :

Sorry for the delay. From your lspci it looks like at least the sas driver has recognized the adapter. So it seems this is slightly different to the initial issue (as comment #24 and #27 seemed to claim success). So it would be good to have a full dmesg of the boot with the latest image (best remove quiet from the kernel arguments and replace it with debug which adds some more verbosity). I would also suggest to open a new bug report with that and let me know the bug number. That way clear out the other data and separate it from the task of adding the pci ids to the driver.

Tim Gardner (timg-tpi) on 2011-03-21
Changed in linux (Ubuntu Maverick):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu):
status: New → Invalid
Launchpad Janitor (janitor) wrote :
Download full text (65.1 KiB)

This bug was fixed in the package linux-mvl-dove - 2.6.32-216.33

---------------
linux-mvl-dove (2.6.32-216.33) lucid-proposed; urgency=low

  [ Ubuntu: 2.6.32-31.60 ]

  * Release Tracking Bug
    - LP: #734950
  * SAUCE: Clear new_profile in error path
    - LP: #732700
  * [Config] CONFIG_BOOT_PRINTK_DELAY=y
    - LP: #733191
  * Revert "drm/radeon/bo: add some fallback placements for VRAM only
    objects."
    - LP: #652934
  * drm/radeon: fall back to GTT if bo creation/validation in VRAM fails.
    - LP: #652934
  * drm/radeon/kms: Fix retrying ttm_bo_init() after it failed once.
    - LP: #652934
  * xfs: always use iget in bulkstat
    - LP: #692848
  * drm/radeon/kms: make the mac rv630 quirk generic
    - LP: #728687
  * drm/radeon/kms: add pll debugging output
    - LP: #728687
  * drm/radeon: remove 0x4243 pci id
    - LP: #728687
  * drm/radeon/kms: fix s/r issues with bios scratch regs
    - LP: #728687
  * drm/i915/lvds: Add AOpen i915GMm-HFS to the list of false-positive LVDS
    - LP: #728687
  * drm/i915: Add dependency on CONFIG_TMPFS
    - LP: #728687
  * Linux 2.6.32.29+drm33.14
    - LP: #728687
  * NFSD: memory corruption due to writing beyond the stat array
    - LP: #728687
  * mptfusion: mptctl_release is required in mptctl.c
    - LP: #728687
  * mptfusion: Fix Incorrect return value in mptscsih_dev_reset
    - LP: #728687
  * ocfs2_connection_find() returns pointer to bad structure
    - LP: #728687
  * x25: decrement netdev reference counts on unload
    - LP: #728687
  * x86, hpet: Disable per-cpu hpet timer if ARAT is supported
    - LP: #728687
  * OHCI: work around for nVidia shutdown problem
    - LP: #728687
  * x86/pvclock: Zero last_value on resume
    - LP: #728687
  * av7110: check for negative array offset
    - LP: #728687
  * CRED: Fix get_task_cred() and task_state() to not resurrect dead
    credentials
    - LP: #728687
  * bonding/vlan: Avoid mangled NAs on slaves without VLAN tag insertion
    - LP: #728687
  * CRED: Fix kernel panic upon security_file_alloc() failure.
    - LP: #728687
  * CRED: Fix BUG() upon security_cred_alloc_blank() failure
    - LP: #728687
  * CRED: Fix memory and refcount leaks upon security_prepare_creds()
    failure
    - LP: #728687
  * sendfile(): check f_op.splice_write() rather than f_op.sendpage()
    - LP: #728687
  * isdn: hisax: Replace the bogus access to irq stats
    - LP: #728687
  * ixgbe: add support for 82599 based Express Module X520-P2
    - LP: #728687
  * ixgbe: prevent speculative processing of descriptors before ready
    - LP: #728687
  * scsi_dh_alua: add netapp to dev list
    - LP: #728687
  * scsi_dh_alua: Add IBM Power Virtual SCSI ALUA device to dev list
    - LP: #728687
  * dm raid1: fail writes if errors are not handled and log fails
    - LP: #728687
  * GFS2: Fix bmap allocation corner-case bug
    - LP: #728687
  * dm raid1: fix null pointer dereference in suspend
    - LP: #728687
  * sunrpc/cache: fix module refcnt leak in a failure path
    - LP: #728687
  * be2net: Maintain tx and rx counters in driver
    - LP: #728687
  * tcp: Make TCP_MAXSEG minimum more correct.
    - LP: #728687
  * nfsd: correctly handle return value from ...

Changed in linux-mvl-dove (Ubuntu Lucid):
status: New → Fix Released
Paolo Pisati (p-pisati) on 2011-03-25
Changed in linux-mvl-dove (Ubuntu Maverick):
status: New → Fix Released
Chris Welsh (chris-pwelsh) wrote :

Hi, I am having the same issue on our 3650 with Ubuntu 11.04. Did this driver miss regression testing? Anyone able to assist?

Seth Galitzer (sgsax) wrote :
Download full text (3.4 KiB)

I've just spent the day fighting with this. I have a 9265-8i card, not a 9240, but it uses the same module version since at least March. I used the latest available 10.04.2 iso (server-amd64), dated 11-Feb-2011. The included driver is still 4.01, even with the latest kernel release (2.6.32-31).

I was able to work around it by downloading the source from LSI's website, building the module on another host using appropriate kernel labels and adding it in the middle of the install process. Then when the install was done, I chrooted to the new install and built the module again, ran depmod, and created a new initrd. Only then was I able to successfully boot into the new host. I also tried an older 10.04.1 iso image I was able to find and an alternative 10.04.2 image. Results were the same. If this bug is fixed, I'm not seeing it. I'd recommend opening it back up, unless "Fix Released" means we may see it resolved in a 10.04.3 release or an upcoming kernel release.

Output of modinfo in stock ubuntu kernel (2.6.32-31-server):
$ modinfo /lib/modules/2.6.32-31-server/kernel/drivers/scsi/megaraid/megaraid_sas.ko
filename: /lib/modules/2.6.32-31-server/kernel/drivers/scsi/megaraid/megaraid_sas.ko
description: LSI MegaRAID SAS Driver
author: <email address hidden>
version: 00.00.04.01
license: GPL
srcversion: 1AB2B4AC6534AB333DF4ACA
alias: pci:v00001028d00000015sv*sd*bc*sc*i*
alias: pci:v00001000d00000413sv*sd*bc*sc*i*
alias: pci:v00001000d00000071sv*sd*bc*sc*i*
alias: pci:v00001000d00000073sv*sd*bc*sc*i*
alias: pci:v00001000d00000079sv*sd*bc*sc*i*
alias: pci:v00001000d00000078sv*sd*bc*sc*i*
alias: pci:v00001000d0000007Csv*sd*bc*sc*i*
alias: pci:v00001000d00000060sv*sd*bc*sc*i*
alias: pci:v00001000d00000411sv*sd*bc*sc*i*
depends:
vermagic: 2.6.32-31-server SMP mod_unload modversions
parm: poll_mode_io:Complete cmds from IO path, (default=0) (int)

Output of modinfo on custom-built module (rest of kernel is stock 2.6.32-31-server):
$ modinfo /lib/modules/2.6.32-31-server/kernel/drivers/scsi/megaraid/megaraid_sas.ko
filename: /lib/modules/2.6.32-31-server/kernel/drivers/scsi/megaraid/megaraid_sas.ko
description: LSI MegaRAID SAS Driver
author: <email address hidden>
version: 00.00.05.30
license: GPL
srcversion: 374D3479F2895D988397E92
alias: pci:v00001000d0000005Bsv*sd*bc*sc*i*
alias: pci:v00001028d00000015sv*sd*bc*sc*i*
alias: pci:v00001000d00000413sv*sd*bc*sc*i*
alias: pci:v00001000d00000071sv*sd*bc*sc*i*
alias: pci:v00001000d00000073sv*sd*bc*sc*i*
alias: pci:v00001000d00000079sv*sd*bc*sc*i*
alias: pci:v00001000d00000078sv*sd*bc*sc*i*
alias: pci:v00001000d0000007Csv*sd*bc*sc*i*
alias: pci:v00001000d00000060sv*sd*bc*sc*i*
alias: pci:v00001000d00000411sv*sd*bc*sc*i*
depends:
vermagic: 2.6.32-31-server SMP mod_unload modversions
parm: poll_mode_io:Complete cmds from IO path, (default=0) (int)
parm: max_sectors:Maximum number of sectors per IO command (...

Read more...

Dan Simoes (dan-simoes) wrote :

This issue is still ongoing. It appears to have been fixed in 10.4.2, but in the latest 10.4.3 (as well as 11.04 and 11.10 beta), the LSI card is not recognized at all by the installer. This LSI card is used in many Dell Poweredge systems, as well as several Cisco UCS models.

nord73 (nord73) wrote :

This is still an issue in Oneiric 11.10 final release.

Rob Lazzurs (rob-lazzurs) wrote :

This issue has reappeared in Ubuntu 11.10.

Currently trying to install Ubuntu 11.10 on a Dell R410 with a H700 megaraid_sas based storage.

The installer appears to think there is no storage available to the device however while the installer is asking for which module to use if you drop to a console it has detected the storage.

The real issue appears to be with disk-detect as it does not seem to wait long enough for the older driver to provide access to the disks. Adding note to bug that is where the problem is.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in hw-detect (Ubuntu Lucid):
status: New → Confirmed
Changed in hw-detect (Ubuntu Maverick):
status: New → Confirmed
Changed in hw-detect (Ubuntu):
status: New → Confirmed
Jeff Burns (admiraljkb) wrote :

Confirming issue with Ubuntu Server 12.04 as well when installing the 2012-03-18 daily build

Jeff Burns (admiraljkb) wrote :

I was trying to reproduce the issue after my initially reproduce-able failure and cannot. This would lead me to believe that Rob may be on to something, like maybe there is a race condition in the detect script which would be a new bug?

Rob Lazzurs (rob-lazzurs) wrote :

I was sorta bad and already had entered another bug as I could not add the 11.10 release to this bug.

https://bugs.launchpad.net/ubuntu/+source/hw-detect/+bug/956850

Not sure if someone wants to do a merge and which way the merge should be done.

Amsuingly enough I am also testing 12.04 today in our systems to see if this (and any other bugs) are an issue with the hardware we deploy for customers to try and ensure the problems are fixed before 12.04 release. We are a fairly large hosting company (10000 servers) and Ubuntu not installing on one of our products is a serious issue for us.

Zerocool3001 (timfall) wrote :

I can confirm that the RAID drivers are still not detected on a 12.04 server (regular and alternate images) install. The install was attempted on an IBM X3550 M3.

KevinMorse (kevin-j-morse) wrote :

Trying to install 13.10 Server with an LSI 9240-8i and I cannot detect any drives?

Is this still not fixed?

Rolf Leggewie (r0lf) wrote :

maverick has seen the end of its life and is no longer receiving any updates. Marking the maverick task for this ticket as "Won't Fix".

Changed in hw-detect (Ubuntu Maverick):
status: Confirmed → Won't Fix
Rolf Leggewie (r0lf) wrote :

lucid has seen the end of its life and is no longer receiving any updates. Marking the lucid task for this ticket as "Won't Fix".

Changed in hw-detect (Ubuntu Lucid):
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers